set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -T $ENV{TOP_DIR}/platform/release/esp.lds")

# 三听提供的库
target_link_libraries(${PROJECT_NAME} PRIVATE libsinwt_common.so libAlsaHelper.so libsinwt_sys.so libsinwt_hci.so libsinwt_dsp.so)
target_link_libraries(${PROJECT_NAME} PRIVATE libsinwt_osal-aarch64-linux-gnu.so libgsl.so libgslcblas.so libSinwtFFT-aarch64-linux-gnu.so libSinwtFFT_fxd-aarch64-linux-gnu.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libNE10-aarch64-linux-gnu.so libkissfft-aarch64-linux-gnu.so libsinwt_ma-aarch64-linux-gnu.so libaec-aarch64-linux-gnu.so libnewns-aarch64-linux-gnu.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libanagc-aarch64-linux-gnu.so libbeamform-aarch64-linux-gnu.so libvad-aarch64-linux-gnu.so libaiengine-81-rk3328-2.9.8-20180726135346.so libcJSON.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libasound.so libRecorder.so libstdc++.so libcurl.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libcrypto.so libssl.so libjsoncpp.so libidn.so libidn2.so libnspr4.so libpcre2-8.so libselinux.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libnghttp2.so libssh.so libpsl.so libkrb5.so libk5crypto.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libcom_err.so libldap-2.4.so liblber-2.4.so libz.so libgssapi_krb5.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libunistring.so libkrb5support.so libkeyutils.so libsasl2.so libssl3.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libsmime3.so libnss3.so libnssutil3.so libplds4.so libplc4.so )


#开源库
target_link_libraries(${PROJECT_NAME} PRIVATE libpthread.so )
target_link_libraries(${PROJECT_NAME} PRIVATE libopencv_core.so libopencv_imgproc.so libopencv_imgcodecs.so libopencv_highgui.so libopencv_video.so libopencv_videoio.so libopencv_objdetect.so  libopencv_calib3d.so)
target_link_libraries(${PROJECT_NAME} PRIVATE libpaho-mqtt3a.so libjansson.so libcurl.so)

#OAL的库
target_link_libraries(${PROJECT_NAME} PRIVATE -Wl,--whole-archive libesp.a -Wl,--no-whole-archive )
target_link_libraries(${PROJECT_NAME} PRIVATE libaid_awaken.so libface.so libhclcpu.so libtengine.so)
#v4l2库
target_link_libraries(${PROJECT_NAME} PRIVATE librockchip_rga.so librockchip_mpp.so libcam_engine_cifisp.so librtspclient.so)

#NFC的库
target_link_libraries(${PROJECT_NAME} PRIVATE libnfc.so)
